// Define Iconfont

// Iconfont made with icomoon.io - you can find the selection.json in the fonts/ico folder.

// Icon sizes
.ico {
  --icon-size: var(--icon-size-md);

  &:not(.ico-seperate) {
    font-size: var(--icon-size);
  }

  &.ico--remove-label {
    width: var(--icon-size);
    height: var(--icon-size);
    line-height: var(--icon-size);

    &::before {
      font-size: var(--icon-size);
    }
  }
}

.ico--xxs,
.ico--xs {
  --icon-size: var(--icon-size-xs) !important;
}

.ico--sm {
  --icon-size: var(--icon-size-sm) !important;
}

.ico--md {
  --icon-size: var(--icon-size-md) !important;
}

.ico--lg {
  --icon-size: var(--icon-size-lg) !important;
}

.ico--xl {
  --icon-size: var(--icon-size-xl) !important;
}

.ico--xxl {
  --icon-size: var(--icon-size-xxl) !important;
}

// Circled icons
.ico--circled {
  --circle-icon-size: var(--icon-size);
  --circle-icon-size-multi: 0.55;
  text-align: center;
  border-radius: 50%;
  display: inline-flex; // changed to have the same behavoir as regular .fa icons.
  align-items: center;
  justify-content: center;
  line-height: 1;
  height: var(--circle-icon-size);
  width: var(--circle-icon-size);
  font-size: calc(
    var(--circle-icon-size) * var(--circle-icon-size-multi)
  ) !important;
  padding: 0 !important;

  &::before {
    font-size: 1em !important;
  }

  // Hollow style (aka "ghost"-style)
  &-hollow,
  &.ico--hollow {
    background: transparent !important;
    border: 1px solid currentColor;
  }
}

// Icon + Text Combos
// HINT: Why margin and not gap for spacing? Becauce we want to have the spacing relative to the icon size (EM).
// This is not possible using gap (without knowing the icon size on .icon-combo).
.icon-combo {
  --icon-gap-v: 0.5em;
  --icon-gap-h: 0.35em;
  &:has(.ico--circled) {
    --icon-gap-v: 0.85em;
    --icon-gap-h: 0.75em;
  }
  display: flex;
  position: relative;
  text-decoration: none;

  &__icon {
    display: flex;
    flex-grow: 0;
    flex-shrink: 0;

    &.ico--center {
      justify-content: center;
      align-self: center;

      // Automatically center the text also in this case
      + .icon-combo__text-wrapper {
        text-align: center;
        align-self: center;
      }
    }
  }

  &__text-wrapper {
    line-height: var(--bs-line-height-sm);

    p {
      line-height: inherit;
    }
  }

  &__heading {
    margin-top: 0;
    line-height: var(--bs-line-height-sm);

    &:last-child {
      margin-bottom: 0;
    }
  }

  &__text {
    > *:last-child {
      margin-bottom: 0;
    }
  }

  &--ico-position-top {
    flex-direction: column;

    .icon-combo__icon {
      margin-bottom: var(--icon-gap-v);
    }
  }

  &--ico-position-right {
    flex-direction: row-reverse;

    .icon-combo__icon {
      margin-left: var(--icon-gap-h);
    }
  }

  &--ico-position-bottom {
    flex-direction: column-reverse;

    .icon-combo__icon {
      margin-top: var(--icon-gap-v);
    }
  }

  &--ico-position-left {
    flex-direction: row;

    .icon-combo__icon {
      margin-right: var(--icon-gap-h);
    }
  }

  &--ico-position-left,
  &--ico-position-right {
    // Dont center text on horizontal aligments
    > .icon-combo__text-wrapper {
      text-align: left !important;
    }
  }

  &--linked {
    &:hover {
      text-decoration: none;

      .icon-combo__icon {
        transform: scale(1.05);
      }
    }
  }

  // Allow to center the icon-combo using foundations text-center class
  .text-center & {
    justify-content: center;
  }
}
